#!/bin/sh

make

./vtkcellgen help
./vtkcellgen -help
./vtkcellgen --help

CELL_LIST="
2
5
9
10
12
13
22
23
25
26
28
29
30
31
32
33
34
36
37
"

SHAPE_LIST="
standard
simple
cosinus
sinus
parabel
hyper
screw
"

CELLS=20

for i in ${CELL_LIST} ; do
  for j in ${SHAPE_LIST} ; do
  	./vtkcellgen -q --shapefunc=${j} --celltype=$i --cellx=$CELLS --celly=$CELLS --xlength=2 --ylength=2 --zlength=1 --output=/tmp/vtkcellgen_test_cell_${i}_${j}.vtk 
  done
done
